AddPoint Method

Back to Methods Reference

Creates a Point object at a given location.

Signature

VBA : RetVal = object.AddPoint(Point)

VL : RetVal = (vla-AddPoint object Point)

(vla-AddPoint mspace (vlax-3d-point apt))

  • Object : ModelSpace Collection, PaperSpace Collection, Block
    The object or objects this method applies to.
  • Point : Variant (three-element array of doubles); input-only
    The coordinates of the point to be created.
  • RetVal : Point object
    The newly created Point object.

Example :


(defun c:al-addpoint ()

(vl-load-com)

(setq mspace (vla-get-modelspace 
                (vla-get-activedocument 
                   (vlax-get-acad-object))))

(while 

	(setq apt (getpoint "\nInsertion Point: "))

	(setq thepoint (vla-AddPoint mspace (vlax-3d-point apt)))

);while

(princ)

);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website